Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.publication.protocol.v2
Class EhBoxPublicationService

    java.lang.Object
      javax.xml.ws.Service
          be.fgov.ehealth.ehbox.publication.protocol.v2.EhBoxPublicationService

    @WebServiceClient(name="ehBoxPublicationService",
                      targetNamespace="urn:be:fgov:ehealth:ehbox:publication:protocol:v2",
                      wsdlLocation="file:/C:/javadev/tools/jenkins/workspace/Release_connector-utilities-master_Git/ehboxv2/target/generated-resources/WSDL/ehealthbox_publication_v2.wsdl")
    public class EhBoxPublicationService

extends Service

This class was generated by the JAX-WS RI. JAX-WS RI 2.1.6 in JDK 6 Generated source version: 2.1

Nested Class Summary

Nested classes/interfaces inherited from class javax.xml.ws.Service
`Service.Mode`

Constructor Summary
`EhBoxPublicationService()`
`EhBoxPublicationService(URL wsdlLocation, QName serviceName)`

Method Summary
`EhBoxPublicationPortType` | `getEhBoxPublicationPort()`
`EhBoxPublicationPortType` | `getEhBoxPublicationPort(WebServiceFeature... features)`

Methods inherited from class javax.xml.ws.Service
`addPort, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EhBoxPublicationService

    public EhBoxPublicationService(URL wsdlLocation,
                                   QName serviceName)

### EhBoxPublicationService

    public EhBoxPublicationService()

Method Detail

### getEhBoxPublicationPort

    @WebEndpoint(name="ehBoxPublicationPort")
    public EhBoxPublicationPortType getEhBoxPublicationPort()

  Returns:
    returns EhBoxPublicationPortType

### getEhBoxPublicationPort

    @WebEndpoint(name="ehBoxPublicationPort")
    public EhBoxPublicationPortType getEhBoxPublicationPort(WebServiceFeature... features)

  Parameters:
    `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
  Returns:
    returns EhBoxPublicationPortType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.